Update the specified Custom Access List associated with a Shield Zone
curl --request PATCH \
--url https://api.bunny.net/shield/shield-zone/{shieldZoneId}/access-lists/{id} \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"content": "<string>",
"checksum": "<string>"
}
'import requests
url = "https://api.bunny.net/shield/shield-zone/{shieldZoneId}/access-lists/{id}"
payload = {
"name": "<string>",
"content": "<string>",
"checksum": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', content: '<string>', checksum: '<string>'})
};
fetch('https://api.bunny.net/shield/shield-zone/{shieldZoneId}/access-lists/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": 123,
"name": "<string>",
"description": "<string>",
"content": "<string>",
"checksum": "<string>",
"entryCount": 123,
"lastModified": "2023-11-07T05:31:56Z"
},
"error": {
"success": true,
"message": "<string>",
"errorKey": "<string>"
}
}{
"data": {
"id": 123,
"name": "<string>",
"description": "<string>",
"content": "<string>",
"checksum": "<string>",
"entryCount": 123,
"lastModified": "2023-11-07T05:31:56Z"
},
"error": {
"success": true,
"message": "<string>",
"errorKey": "<string>"
}
}{
"data": {
"id": 123,
"name": "<string>",
"description": "<string>",
"content": "<string>",
"checksum": "<string>",
"entryCount": 123,
"lastModified": "2023-11-07T05:31:56Z"
},
"error": {
"success": true,
"message": "<string>",
"errorKey": "<string>"
}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}Access Lists
Update the specified Custom Access List associated with a Shield Zone
PATCH
/
shield
/
shield-zone
/
{shieldZoneId}
/
access-lists
/
{id}
Update the specified Custom Access List associated with a Shield Zone
Path Parameters
The ID of the Custom Access List to update.
The ID of the Shield Zone to which the Custom Access List belongs.
Body
application/jsontext/jsonapplication/*+json
Request model for updating a custom access list.
The new display name for the access list. If null, the current name is preserved.
The new content for the access list with entries separated by newlines. If null, the current content is preserved.
SHA-256 checksum of the new content for integrity verification. If null, it will be automatically calculated.
Last modified on June 26, 2026
Was this page helpful?
Delete the specified Custom Access List associated with a Shield ZoneGet all Access Lists API enumeration types and their values
⌘I